
#ifndef PARITCLE_H_
#define PARTICLE_H_

// This file contains the relavant structures for the particles
#define PNULL (particle *)0

struct Particle{
	float * X;
	float * DX;
	float time;
	float radius;
};

void midPoint(Particle *toSolve,float timestep);


//Below this was copied from the utilities file of 372a2 (2002)

///////////////////////////////////
//      random numbers           //
///////////////////////////////////

void sgenrand(unsigned long seed);
unsigned long genrand();
double genrand2();

// integer random number in [min,max]
inline int randomInt(int min, int max)
{
	return min+genrand()%(max-min+1);
}

// double random number in [min,max]
inline double randomDouble(float min, double max)
{
	return min+(genrand2())*(max-min);
}

#endif