/*
 *  ParticleSystem.h
 *  GLUT-PS
 *
 *  Created by Serato on 17/09/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef PARTICLE_SYSTEM_H_
#define PARTICLE_SYSTEM_H_

#include "Particle.h"

class ParticleSystem{
public:
	ParticleSystem();
	~ParticleSystem();
	
	void init();
	void draw();
	void update(double time);
	
	void setDrawMethod(int type);

private:
	double systemTime;

	// The array of particles (both valid and possible) the size of this is set according to the header
	Particle * particles;
	int posArrayIndex;
	
	// Draw method
	int drawMethod;
	
	// Texture
	int particleTexture;
};

#endif