varying vec3 normal;
varying vec3 lightDir;
varying vec3 viewDir; 
void main( void) 
{
	vec4 ecPos = gl_ModelViewMatrix*gl_Vertex;
 	lightDir = vec3(normalize(gl_ModelViewMatrix  * gl_LightSource[0].position  - ecPos));
	viewDir = vec3(normalize(-ecPos));
	normal = normalize(gl_NormalMatrix*gl_Normal);
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = ftransform();
}